This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 12364 - <video> which is "the first selected video track"?
Summary: <video> which is "the first selected video track"?
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: LC1 HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Ian 'Hixie' Hickson
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-22 09:21 UTC by contributor
Modified: 2011-08-04 05:12 UTC (History)
6 users (show)

See Also:


Attachments

Description contributor 2011-03-22 09:21:56 UTC
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/video.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#fire-loadedmetadata

Comment:
which is "the first selected video track"?

Posted from: 83.218.67.122
User agent: Opera/9.80 (X11; Linux x86_64; U; en) Presto/2.8.119 Version/11.10
Comment 1 Philip J├Ągenstedt 2011-03-22 09:24:55 UTC
Step 9: If either the media resource or the address of the current media resource indicate a particular set of audio or video tracks to enable, then the selected audio tracks must be enabled in the element's audioTracks object, and the the first selected video track must be selected in the element's videoTracks object.

Is the first video track the first in videoTracks, or the first that was given in the MF URL? I would prefer to make it the first in videoTracks, as I like to thing of MF as resulting in an unordered set of tracks.

Also, note "the the" typo.
Comment 2 Ian 'Hixie' Hickson 2011-06-16 21:26:42 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: see diff given below
Rationale: Concurred with reporter's comments.
Comment 3 contributor 2011-06-16 21:32:19 UTC
Checked in as WHATWG revision r6244.
Check-in comment: Clarify media fragment video track selection.
http://html5.org/tools/web-apps-tracker?from=6243&to=6244
Comment 4 Michael[tm] Smith 2011-08-04 05:12:04 UTC
mass-move component to LC1